Get Recommendations - List

すべての推奨事項の一覧を取得します。

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.OperationalInsights/workspaces/{workspaceName}/providers/Microsoft.SecurityInsights/recommendations?api-version=2025-07-01-preview

URI パラメーター

Name / 必須 型 説明
resourceGroupName
path True

string

minLength: 1
maxLength: 90

リソース グループの名前。 名前は大文字と小文字が区別されます。

subscriptionId
path True

string (uuid)

ターゲット サブスクリプションの ID。 値は UUID である必要があります。

workspaceName
path True

string

minLength: 1
maxLength: 90
pattern: ^[A-Za-z0-9][A-Za-z0-9-]+[A-Za-z0-9]$

ワークスペースの名前。

api-version
query True

string

minLength: 1

この操作に使用する API バージョン。

応答

Name 型 説明
200 OK

RecommendationList

Azureの運用は無事に完了しました。

Other Status Codes

CloudError

予期しないエラー応答。

セキュリティ

azure_auth

Azure Active Directory OAuth2 Flow.

型: oauth2
フロー: implicit
Authorization URL (承認 URL): https://login.microsoftonline.com/common/oauth2/authorize

スコープ

Name 説明
user_impersonation ユーザー アカウントを偽装する

例

Get Recommendations list.

要求のサンプル

GET https://management.azure.com/subscriptions/d0cfe6b2-9ac0-4464-9919-dccaee2e48c0/resourceGroups/myRg/providers/Microsoft.OperationalInsights/workspaces/myWorkspace/providers/Microsoft.SecurityInsights/recommendations?api-version=2025-07-01-preview

応答のサンプル

{
  "value": [
    {
      "name": "ceea048e-923e-4eeb-8fcb-6cb0c06b101f",
      "type": "Microsoft.SecurityInsights/Recommendations",
      "id": "/subscriptions/d0cfe6b2-9ac0-4464-9919-dccaee2e48c0/resourceGroups/myRg/providers/Microsoft.OperationalInsights/workspaces/myWorkspace/providers/Microsoft.SecurityInsights/Recommendations/ceea048e-923e-4eeb-8fcb-6cb0c06b101f",
      "properties": {
        "description": "someText",
        "additionalProperties": {
          "someKey": "someValue"
        },
        "creationTimeUtc": "2022-02-19T03:09:03.4888396+00:00",
        "lastEvaluatedTimeUtc": "2022-02-19T03:09:03.4888396+00:00",
        "lastModifiedTimeUtc": "2022-02-19T03:57:31.7964447+00:00",
        "recommendationTypeId": "ThreatIntelligence_Example",
        "resourceId": "someId",
        "state": "CompletedBySystem",
        "suggestions": [
          {
            "description": "someText",
            "action": "someText",
            "additionalProperties": {
              "someKey": "someValue"
            },
            "suggestionTypeId": "ThreatIntelligence_Example_Suggestion_Example",
            "title": "someText"
          }
        ],
        "title": "someText"
      }
    }
  ]
}

定義

Name 説明
CloudError

エラー応答の構造。

CloudErrorBody

エラーの詳細。

createdByType

リソースを作成した ID の種類。

Recommendation

レコメンデーションオブジェクト。

RecommendationList

推奨事項の一覧

RecommendedSuggestion

推奨事項を完了するには、どのような提案を行う必要があります。

State

推薦状。

systemData

リソースの作成と最後の変更に関連するメタデータ。

CloudError

エラー応答の構造。

Name 型 説明
error

CloudErrorBody

エラーデータ

CloudErrorBody

エラーの詳細。

Name 型 説明
code

string

エラーの識別子。 コードは不変であり、プログラムで使用することを目的としています。

message

string

ユーザー インターフェイスでの表示に適したエラーを説明するメッセージ。

createdByType

リソースを作成した ID の種類。

値 説明
User
Application
ManagedIdentity
Key

Recommendation

レコメンデーションオブジェクト。

Name 型 説明
etag

string

Azure リソースの Etag

id

string (arm-id)

リソースの完全修飾リソース ID。 例: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"

name

string

リソースの名前

properties.additionalProperties

object

推奨事項の追加プロパティのコレクション。

properties.creationTimeUtc

string (date-time)

推奨事項が作成されたときのタイム スタンプ (UTC)。

properties.description

string

推奨事項の説明。

properties.lastEvaluatedTimeUtc

string (date-time)

推奨事項が最後に評価されたときのタイム スタンプ (UTC)。

properties.lastModifiedTimeUtc

string (date-time)

推奨事項が最後に変更されたときのタイム スタンプ (UTC)。

properties.recommendationTypeId

string

推奨事項の種類の ID。

properties.resourceId

string

この推奨事項が参照するリソースの ID。

properties.state

State

推奨事項の状態。

properties.suggestions

RecommendedSuggestion[]

この推奨事項に対して実行する候補の一覧。

properties.title

string

推奨事項のタイトル。

systemData

systemData

createdBy および modifiedBy 情報を含む Azure Resource Manager メタデータ。

type

string

リソースの型。 例: "Microsoft.Compute/virtualMachines" または "Microsoft.Storage/storageAccounts"

RecommendationList

推奨事項の一覧

Name 型 説明
nextLink

string (uri)

アイテムの次のページへのリンク

value

Recommendation[]

このページの推奨項目

RecommendedSuggestion

推奨事項を完了するには、どのような提案を行う必要があります。

Name 型 説明
action

string

提案のアクション。

additionalProperties

object

提案の追加プロパティのコレクション。

description

string

提案の説明。

suggestionTypeId

string

提案の種類の ID。

title

string

提案のタイトル。

State

推薦状。

値 説明
Active

推奨事項はアクティブです。

InProgress

推奨事項が進行中です。

Dismissed

推奨事項は無視されました。

CompletedByUser

ユーザーが推奨事項を完了しました。

CompletedBySystem

推奨事項はシステムによって完了しました。

systemData

リソースの作成と最後の変更に関連するメタデータ。

Name 型 説明
createdAt

string (date-time)

リソース作成のタイムスタンプ (UTC)。

createdBy

string

リソースを作成した ID。

createdByType

createdByType

リソースを作成した ID の種類。

lastModifiedAt

string (date-time)

リソースの最終変更のタイムスタンプ (UTC)

lastModifiedBy

string

リソースを最後に変更した ID。

lastModifiedByType

createdByType

リソースを最後に変更した ID の種類。